# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: clang-tools
  version: 14.0.6
source:
  - folder: llvm-project
    patches:
      - patches/0001-Find-conda-gcc-installation.patch
      - patches/0002-Fix-sysroot-detection-for-linux.patch
      - patches/0003-clang-add-conda-specific-env-var-CONDA_BUILD_SYSROOT.patch
      - patches/0004-Fix-normalizeProgramName-s-handling-of-dots-outside-.patch
      - patches/0005-Set-VERSION-in-osx-as-well.patch
      - patches/0006-Fix-crosscompiling-LLVM-tools.patch
      - patches/0008-set-libclang-SOVERSION-unconditionally.patch
    sha256: 8b3cfd7bc695bd6cea0f37f53f0981f34f87496e79e2529874fd03a2f9dd3a8a
    url: https://github.com/llvm/llvm-project/releases/download/llvmorg-14.0.6/llvm-project-14.0.6.src.tar.xz
build:
  number: 0
  string: default_hf5194b7_0
  track_features: null
requirements:
  build:
    - bzip2 1.0.8 h620ffc9_4
    - c-ares 1.18.1 h1a28f6b_0
    - ca-certificates 2022.07.19 hca03da5_0
    - clang_bootstrap_osx-arm64 12.0.0 ha993bc6_3
    - cmake 3.22.1 hae769c0_0
    - expat 2.4.4 hc377ac9_0
    - krb5 1.19.2 h3b8d789_0
    - libcurl 7.84.0 hc6d1d07_0
    - libcxx 12.0.0 hf6beb65_1
    - libedit 3.1.20210910 h1a28f6b_0
    - libev 4.33 h1a28f6b_1
    - libffi 3.4.2 hc377ac9_4
    - libnghttp2 1.46.0 h95c9599_0
    - libssh2 1.10.0 hf27765b_0
    - libuv 1.39.0 h1a28f6b_0
    - lz4-c 1.9.3 hc377ac9_0
    - make 4.3 h620ffc9_1
    - ncurses 6.3 h1a28f6b_3
    - openssl 1.1.1q h1a28f6b_0
    - python 3.8.13 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - rhash 1.4.1 hf27765b_1
    - sqlite 3.39.2 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
    - zstd 1.5.2 h8574219_0
  host:
    - clang 14.0.6 hca03da5_0
    - clang-format 14.0.6 default_hf5194b7_0
    - clangxx 14.0.6 default_hf5194b7_0
    - libclang 14.0.6 default_hf5194b7_0
    - libclang-cpp 14.0.6 default_hf5194b7_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - libllvm14 14.0.6 h4b41812_0
    - llvm 14.0.6 hc8b9a67_0
    - llvm-tools 14.0.6 h12f7ac0_0
    - llvmdev 14.0.6 h12f7ac0_0
    - zlib 1.2.12 h5a0b063_2
  run:
    - clang-format 14.0.6 default_hf5194b7_0
    - libclang >=14.0.6,<14.1.0a0
    - libclang-cpp14 >=14.0.6,<14.1.0a0
    - libcxx >=12.0.0
    - libllvm14 >=14.0.6,<14.1.0a0
  run_constrained:
    - clangdev 14.0.6
test:
  commands:
    - clang-check --version
    - clang-tidy --version
about:
  dev_url: https://github.com/llvm/llvm-project
  doc_url: https://llvm.org/docs/
  home: https://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: clang/LICENSE.TXT
  summary: Development headers and libraries for Clang
extra:
  copy_test_source_files: true
  feedstock-name: clang
  final: true
  flow_run_id: 087a9b17-c1a9-4de7-b922-fac16b010cde
  recipe-maintainers:
    - SylvainCorlay
    - chrisburr
    - h-vetinari
    - inducer
    - isuruf
    - jakirkham
    - timsnyder
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/clangdev-feedstock.git
  sha: d8c84f4b763c44fbd55a483327efec404def5248
